Index: kernel/search/plugins/ezsearchengine/ezsearchengine.php
===================================================================
--- kernel/search/plugins/ezsearchengine/ezsearchengine.php	(revision 25211)
+++ kernel/search/plugins/ezsearchengine/ezsearchengine.php	(working copy)
@@ -589,8 +589,7 @@
             else if ( is_array( $searchSectionID ) )
             {
                 // Build query for searching in an array of sections
-                $sectionString = implode( ', ', $searchSectionID );
-                $sectionQuery = "ezsearch_object_word_link.section_id IN ( $sectionString ) AND ";
+                $sectionQuery = $db->generateSQLINStatement( $searchSectionID, 'ezsearch_object_word_link.section_id', false, false, 'int' ) . " AND ";
             }
 
             $searchDateQuery = '';
@@ -607,11 +606,11 @@
                 {
                     if ( is_array( $searchTimestamp ) )
                     {
-                        $publishedDate = $searchTimestamp[0];
-                        $publishedDateStop = $searchTimestamp[1];
+                        $publishedDate = (int) $searchTimestamp[0];
+                        $publishedDateStop = (int) $searchTimestamp[1];
                     }
                     else
-                        $publishedDate = $searchTimestamp;
+                        $publishedDate = (int) $searchTimestamp;
                 }
                 else
                 {
@@ -677,8 +676,7 @@
             else if ( is_array( $searchContentClassAttributeID ) )
             {
                 // Build query for searching in a number of attributes
-                $attributeString = implode( ', ', $searchContentClassAttributeID );
-                $classAttributeQuery = "ezsearch_object_word_link.contentclass_attribute_id IN ( $attributeString ) AND ";
+                $classAttributeQuery = $db->generateSQLINStatement( $searchContentClassAttributeID , 'ezsearch_object_word_link.contentclass_attribute_id', false, false, 'int' ) . ' AND ';
             }
 
             // Get the total number of objects
Index: kernel/content/advancedsearch.php
===================================================================
--- kernel/content/advancedsearch.php	(revision 25211)
+++ kernel/content/advancedsearch.php	(working copy)
@@ -150,13 +150,20 @@
 if ( $http->hasVariable( 'SubTreeArray' ) )
 {
     if ( is_array( $http->variable( 'SubTreeArray' ) ) )
+    {
         $subTreeList = $http->variable( 'SubTreeArray' );
+    }
     else
+    {
         $subTreeList = array( $http->variable( 'SubTreeArray' ) );
+    }
     foreach ( $subTreeList as $subTreeItem )
     {
-        if ( $subTreeItem > 0 )
+        // as form input is generally a string, is_int cannot be used for checking the value type
+        if ( is_numeric( $subTreeItem ) && $subTreeItem > 0  )
+        {
             $subTreeArray[] = $subTreeItem;
+        }
     }
 }
 
